/***************************************************************************
 *   Copyright (C) 2007 by Lisandro Damián Nicanor Pérez Meyer             *
 *   perezmeyer@gmail.com                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QVector>
#include <QPointF>
#include "ui_mainwindowqzplot.h"

/// The main window
class MainWindow : public QMainWindow
{
	Q_OBJECT

public:
	MainWindow();

public slots:
	/// Gets data from the UI when the Add value button is pressed
	void addData();

	/// Change the normal impedance
	void changeNormalImpedance();

	/// Draws the data in the Smith Chart
	void drawData();

private:
	/// The user interface
	Ui::MainWindow ui;

	/// The list of impedance values
	/**
	This list is represented by QPointF objects. In x we will hold the real part
	of the complex number and in y the imaginary one.
	*/
	QVector<QPointF> impedanceValues;

	/// Value of the normal impedance
	qreal normalImpedance;
};

#endif //MainWindow

